Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.instance.command.render
Class RenderPortletInstanceCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.instance.command.PortletInstanceCommand
                  org.jboss.portal.core.model.instance.command.render.RenderPortletInstanceCommand

    public class RenderPortletInstanceCommand

extends PortletInstanceCommand

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.model.instance.command.PortletInstanceCommand
`instance, instanceId, navigationalState`

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`RenderPortletInstanceCommand(java.lang.String instanceId, StateString navigationalState)`

Method Summary
`ControllerResponse` | `execute()` Execute the command.
`CommandInfo` | `getInfo()` Return the meta data of this command.

Methods inherited from class org.jboss.portal.core.model.instance.command.PortletInstanceCommand
`acquireResources, getInstanceId, getNavigationalState`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, enforceSecurity, getContext, getControllerContext, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderPortletInstanceCommand

    public RenderPortletInstanceCommand(java.lang.String instanceId,
                                        StateString navigationalState)

Method Detail

### getInfo

    public CommandInfo getInfo()

  Description copied from class: `ControllerCommand`
  Return the meta data of this command.

  Specified by:
    `getInfo` in class `ControllerCommand`

### execute

    public ControllerResponse execute()
                               throws ControllerException

  Description copied from class: `ControllerCommand`
  Execute the command.

  Specified by:
    `execute` in class `ControllerCommand`
  Throws:
    `ControllerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD